Subject: Re: [bug-diffutils] bug#23644: bug with context greater than 0

From: Paul Eggert <[email-masked]>
Date: Sat, 28 May 2016 23:46:53 -0700

Claude wrote:
> Notice that  on the original file diff specifies that it will list context lines
> content 1,2 for the
> beginning and 24,25 for the end, but the lines are not displayed in the diff
> block description.

Yes they are; they are common context, e.g., lines 24-25 of the first file are 
the same as lines 24-25 of the second file, so they are displayed once with 
leading ' '.

> The two context lines appear for the modified files for the same differences
> though.
> Also, the two context lines are displayed, at top, and at bottom when
> differences occure in the middle of the file.

Sorry, I don't see the bugs here; the output looks OK to me.